WordPress.org

Support

Support » Plugins and Hacks » Email Post Changes » [Resolved] Error "Strict Standards" on all pages of WordPress backend

[Resolved] Error "Strict Standards" on all pages of WordPress backend

  • With WP_DEBUG set to true, a php message appears on every page of WordPress backend with 1.5beta:

    Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method Email_Post_Changes::init() should not be called statically in ../wp-includes/plugin.php on line 406

    Reason is in file class.email-post-changes.php in line 15:

    Current version:

    function init() {

    Suggested fix:

    public static function init() {

    Thanks for the great plugin.

    http://wordpress.org/plugins/email-post-changes/

Viewing 3 replies - 1 through 3 (of 3 total)
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Error "Strict Standards" on all pages of WordPress backend’ is closed to new replies.
Skip to toolbar